You are receiving this mail as a port that you maintain
is failing to build on the FreeBSD package build server.
Please investigate the failure and submit a PR to fix
build.

Maintainer:     step...@freebsd.org
Last committer: step...@freebsd.org
Ident:          $FreeBSD: head/math/octave-forge-interval/Makefile 398454 
2015-10-02 23:55:04Z stephen $
Log URL:        
http://beefy4.nyi.freebsd.org/data/head-amd64-default/p405817_s293716/logs/octave-forge-interval-1.2.0.log
Build URL:      
http://beefy4.nyi.freebsd.org/build.html?mastername=head-amd64-default&build=p405817_s293716
Log:

====>> Building math/octave-forge-interval
build started at Wed Jan 13 06:43:24 UTC 2016
port directory: /usr/ports/math/octave-forge-interval
building for: FreeBSD head-amd64-default-job-10 11.0-CURRENT FreeBSD 
11.0-CURRENT r293716 amd64
maintained by: step...@freebsd.org
Makefile ident:      $FreeBSD: head/math/octave-forge-interval/Makefile 398454 
2015-10-02 23:55:04Z stephen $
Poudriere version: 3.1.10
Host OSVERSION: 1100091
Jail OSVERSION: 1100093




!!! Jail is newer than host. (Jail: 1100093, Host: 1100091) !!!
!!! This is not supported. !!!
!!! Host kernel must be same or newer than jail. !!!
!!! Expect build failures. !!!



---Begin Environment---
SHELL=/bin/csh
OSVERSION=1100093
UNAME_v=FreeBSD 11.0-CURRENT r293716
UNAME_r=11.0-CURRENT
BLOCKSIZE=K
MAIL=/var/mail/root
STATUS=1
SAVED_TERM=
MASTERMNT=/usr/local/poudriere/data/.m/head-amd64-default/ref
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin
POUDRIERE_BUILD_TYPE=bulk
PKGNAME=octave-forge-interval-1.2.0
OLDPWD=/
PWD=/usr/local/poudriere/data/.m/head-amd64-default/ref/.p/pool
MASTERNAME=head-amd64-default
SCRIPTPREFIX=/usr/local/share/poudriere
USER=root
HOME=/root
POUDRIERE_VERSION=3.1.10
SCRIPTPATH=/usr/local/share/poudriere/bulk.sh
LIBEXECPREFIX=/usr/local/libexec/poudriere
LOCALBASE=/usr/local
PACKAGE_BUILDING=yes
---End Environment---

---Begin OPTIONS List---
---End OPTIONS List---

--CONFIGURE_ARGS--

--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
F77="gfortran48" FC="gfortran48" FFLAGS="-O -Wl,-rpath=/usr/local/lib/gcc48" 
FCFLAGS="-Wl,-rpath=/usr/local/lib/gcc48" MAKE=gmake 
XDG_DATA_HOME=/wrkdirs/usr/ports/math/octave-forge-interval/work  
XDG_CONFIG_HOME=/wrkdirs/usr/ports/math/octave-forge-interval/work  
HOME=/wrkdirs/usr/ports/math/octave-forge-interval/work TMPDIR="/tmp" 
SHELL=/bin/sh CONFIG_SHELL=/bin/sh
--End CONFIGURE_ENV--

--MAKE_ENV--
PACKAGE=/wrkdirs/usr/ports/math/octave-forge-interval/work/interval-1.2.0.tar.gz
 F77="gfortran48" FC="gfortran48" FFLAGS="-O -Wl,-rpath=/usr/local/lib/gcc48" 
FCFLAGS="-Wl,-rpath=/usr/local/lib/gcc48" 
XDG_DATA_HOME=/wrkdirs/usr/ports/math/octave-forge-interval/work  
XDG_CONFIG_HOME=/wrkdirs/usr/ports/math/octave-forge-interval/work  
HOME=/wrkdirs/usr/ports/math/octave-forge-interval/work TMPDIR="/tmp" 
NO_PIE=yes NO_DEBUG_FILES=yes SHELL=/bin/sh NO_LINT=YES 
ADDR2LINE="/usr/local/bin/addr2line" AR="/usr/local/bin/ar" 
AS="/usr/local/bin/as" CPPFILT="/usr/local/bin/c++filt" 
GPROF="/usr/local/bin/gprof" LD="/usr/local/bin/ld" NM="/usr/local/bin/nm" 
OBJCOPY="/usr/local/bin/objcopy" OBJDUMP="/usr/local/bin/objdump" 
RANLIB="/usr/local/bin/ranlib" READELF="/usr/local/bin/readelf" 
SIZE="/usr/local/bin/size" STRINGS="/usr/local/bin/strings" PREFIX=/usr/local  
LOCALBASE=/usr/local  LIBDIR="/usr/lib"  CC="cc" CFLAGS="-O2 -pipe  
-fstack-protector -fno-strict-aliasing"  CPP="cpp" CPPFLAGS=""  LDFLAG
 S=" -Wl,-rpath=/usr/local/lib/gcc48  -L/usr/local/lib/gcc48 -B/usr/local/bin 
-fstack-protector" LIBS=""  CXX="c++" CXXFLAGS="-O2 -pipe -fstack-protector 
-fno-strict-aliasing "  MANPREFIX="/usr/local" BSD_INSTALL_PROGRAM="install  -s 
-m 555"  BSD_INSTALL_LIB="install  -s -m 444"  BSD_INSTALL_SCRIPT="install  -m 
555"  BSD_INSTALL_DATA="install  -m 0644"  BSD_INSTALL_MAN="install  -m 444"
--End MAKE_ENV--

--PLIST_SUB--
OSREL=11.0
PREFIX=%D
LOCALBASE=/usr/local
RESETPREFIX=/usr/local
PORTDOCS=""
PORTEXAMPLES=""
LIB32DIR=lib
DOCSDIR="share/doc/octave-forge-interval"
EXAMPLESDIR="share/examples/octave-forge-interval"
DATADIR="share/octave-forge-interval"
WWWDIR="www/octave-forge-interval"
ETCDIR="etc/octave-forge-interval"
--End PLIST_SUB--

--SUB_LIST--
PREFIX=/usr/local
LOCALBASE=/usr/local
DATADIR=/usr/local/share/octave-forge-interval
DOCSDIR=/usr/local/share/doc/octave-forge-interval
EXAMPLESDIR=/usr/local/share/examples/octave-forge-interval
WWWDIR=/usr/local/www/octave-forge-interval
ETCDIR=/usr/local/etc/octave-forge-interval
--End SUB_LIST--

---Begin make.conf---
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
#### /usr/local/etc/poudriere.d/make.conf ####
DISABLE_MAKE_JOBS=poudriere
---End make.conf---
=======================<phase: check-sanity   >============================
===>  License GPLv3 accepted by the user
===========================================================================
=======================<phase: pkg-depends    >============================
===>   octave-forge-interval-1.2.0 depends on file: /usr/local/sbin/pkg - not 
found
===>   Installing existing package /packages/All/pkg-1.6.2.txz
[head-amd64-default-job-10] Installing pkg-1.6.2...
[head-amd64-default-job-10] Extracting pkg-1.6.2: .......... done
Message from pkg-1.6.2:
If you are upgrading from the old package format, first run:

  # pkg2ng
===>   octave-forge-interval-1.2.0 depends on file: /usr/local/sbin/pkg - found
===>   Returning to build of octave-forge-interval-1.2.0
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===>  License GPLv3 accepted by the user
===> Fetching all distfiles required by octave-forge-interval-1.2.0 for building
===========================================================================
=======================<phase: checksum       >============================
===>  License GPLv3 accepted by the user
===> Fetching all distfiles required by octave-forge-interval-1.2.0 for building
=> SHA256 Checksum OK for octave-forge/interval-1.2.0.tar.gz.
===========================================================================
=======================<phase: extract-depends>============================
===========================================================================
=======================<phase: extract        >============================
===>  License GPLv3 accepted by the user
===> Fetching all distfiles required by octave-forge-interval-1.2.0 for building
===>  Extracting for octave-forge-interval-1.2.0
=> SHA256 Checksum OK for octave-forge/interval-1.2.0.tar.gz.
===========================================================================
=======================<phase: patch-depends  >============================
===========================================================================
=======================<phase: patch          >============================
===>  Patching for octave-forge-interval-1.2.0
===========================================================================
=======================<phase: build-depends  >============================
===>   octave-forge-interval-1.2.0 depends on executable: octave - not found
===>   Installing existing package /packages/All/octave-4.0.0.txz
[head-amd64-default-job-10] Installing octave-4.0.0...
[head-amd64-default-job-10] `-- Installing glpk-4.52.1_3...
[head-amd64-default-job-10] |   `-- Installing gmp-5.1.3_2...
[head-amd64-default-job-10] |   | `-- Installing indexinfo-0.2.4...
[head-amd64-default-job-10] |   | `-- Extracting indexinfo-0.2.4: .... done
[head-amd64-default-job-10] |   `-- Extracting gmp-5.1.3_2: .......... done
[head-amd64-default-job-10] `-- Extracting glpk-4.52.1_3: .......... done
[head-amd64-default-job-10] `-- Installing fftw3-float-3.3.3_2...
[head-amd64-default-job-10] `-- Extracting fftw3-float-3.3.3_2: .......... done
[head-amd64-default-job-10] `-- Installing openblas-0.2.14,1...
[head-amd64-default-job-10] |   `-- Installing gcc-4.8.5_2...
[head-amd64-default-job-10] |   | `-- Installing mpc-1.0.3...
[head-amd64-default-job-10] |   |   `-- Installing mpfr-3.1.3...
[head-amd64-default-job-10] |   |   `-- Extracting mpfr-3.1.3: .......... done
[head-amd64-default-job-10] |   | `-- Extracting mpc-1.0.3: ...... done
[head-amd64-default-job-10] |   | `-- Installing binutils-2.25.1...
[head-amd64-default-job-10] |   |   `-- Installing gettext-runtime-0.19.6...
[head-amd64-default-job-10] |   |   `-- Extracting gettext-runtime-0.19.6: 
.......... done
[head-amd64-default-job-10] |   | `-- Extracting binutils-2.25.1: .......... 
done
[head-amd64-default-job-10] |   | `-- Installing gcc-ecj-4.5...
[head-amd64-default-job-10] |   | `-- Extracting gcc-ecj-4.5: . done
[head-amd64-default-job-10] |   `-- Extracting gcc-4.8.5_2: .......... done
[head-amd64-default-job-10] `-- Extracting openblas-0.2.14,1: ......... done
[head-amd64-default-job-10] `-- Installing GraphicsMagick-1.3.23_2,1...
[head-amd64-default-job-10] |   `-- Installing jbigkit-2.1_1...
[head-amd64-default-job-10] |   `-- Extracting jbigkit-2.1_1: .......... done
[head-amd64-default-job-10] |   `-- Installing jasper-1.900.1_15...
[head-amd64-default-job-10] |   | `-- Installing jpeg-turbo-1.4.2...
[head-amd64-default-job-10] |   | `-- Extracting jpeg-turbo-1.4.2: .......... 
done
[head-amd64-default-job-10] |   `-- Extracting jasper-1.900.1_15: .......... 
done
[head-amd64-default-job-10] |   `-- Installing libxml2-2.9.3...
[head-amd64-default-job-10] |   `-- Extracting libxml2-2.9.3: .......... done
[head-amd64-default-job-10] |   `-- Installing lcms2-2.7_2...
[head-amd64-default-job-10] |   | `-- Installing tiff-4.0.6_1...
[head-amd64-default-job-10] |   | `-- Extracting tiff-4.0.6_1: .......... done
[head-amd64-default-job-10] |   `-- Extracting lcms2-2.7_2: .......... done
[head-amd64-default-job-10] |   `-- Installing png-1.6.20...
[head-amd64-default-job-10] |   `-- Extracting png-1.6.20: .......... done
[head-amd64-default-job-10] |   `-- Installing libwmf-0.2.8.4_15...
[head-amd64-default-job-10] |   | `-- Installing libX11-1.6.3,1...
[head-amd64-default-job-10] |   |   `-- Installing xproto-7.0.28...
[head-amd64-default-job-10] |   |   `-- Extracting xproto-7.0.28: .......... 
done
[head-amd64-default-job-10] |   |   `-- Installing kbproto-1.0.7...
[head-amd64-default-job-10] |   |   `-- Extracting kbproto-1.0.7: .......... 
done
[head-amd64-default-job-10] |   |   `-- Installing libXdmcp-1.1.2...
[head-amd64-default-job-10] |   |   `-- Extracting libXdmcp-1.1.2: ......... 
done
[head-amd64-default-job-10] |   |   `-- Installing libxcb-1.11.1...
[head-amd64-default-job-10] |   |   | `-- Installing libpthread-stubs-0.3_6...
[head-amd64-default-job-10] |   |   | `-- Extracting libpthread-stubs-0.3_6: 
..... done
[head-amd64-default-job-10] |   |   | `-- Installing libXau-1.0.8_3...
[head-amd64-default-job-10] |   |   | `-- Extracting libXau-1.0.8_3: .......... 
done
[head-amd64-default-job-10] |   |   `-- Extracting libxcb-1.11.1: .......... 
done
[head-amd64-default-job-10] |   | `-- Extracting libX11-1.6.3,1: .......... done
[head-amd64-default-job-10] |   | `-- Installing freetype2-2.6.2...
[head-amd64-default-job-10] |   | `-- Extracting freetype2-2.6.2: .......... 
done
[head-amd64-default-job-10] |   `-- Extracting libwmf-0.2.8.4_15: .......... 
done
[head-amd64-default-job-10] |   `-- Installing webp-0.4.4_1...
[head-amd64-default-job-10] |   | `-- Installing giflib-5.1.1...
[head-amd64-default-job-10] |   | `-- Extracting giflib-5.1.1: .......... done
[head-amd64-default-job-10] |   `-- Extracting webp-0.4.4_1: .......... done
[head-amd64-default-job-10] |   `-- Installing libXext-1.3.3_1,1...
<snip>
[head-amd64-default-job-10] |   |   `-- Extracting qt4-sql-4.8.7: .......... 
done
[head-amd64-default-job-10] |   |   `-- Installing qt4-sqlite-plugin-4.8.7...
[head-amd64-default-job-10] |   |   | `-- Installing sqlite3-3.10.0...
[head-amd64-default-job-10] |   |   | `-- Extracting sqlite3-3.10.0: .......... 
done
[head-amd64-default-job-10] |   |   `-- Extracting qt4-sqlite-plugin-4.8.7: 
.... done
[head-amd64-default-job-10] |   |   `-- Installing qt4-doc-4.8.7...
[head-amd64-default-job-10] |   |   `-- Extracting qt4-doc-4.8.7: .......... 
done
[head-amd64-default-job-10] |   |   `-- Installing qt4-help-4.8.7...
[head-amd64-default-job-10] |   |   | `-- Installing qt4-clucene-4.8.7...
[head-amd64-default-job-10] |   |   | `-- Extracting qt4-clucene-4.8.7: 
.......... done
[head-amd64-default-job-10] |   |   `-- Extracting qt4-help-4.8.7: .......... 
done
[head-amd64-default-job-10] |   |   `-- Installing qt4-webkit-4.8.7...
[head-amd64-default-job-10] |   |   | `-- Installing qt4-declarative-4.8.7...
[head-amd64-default-job-10] |   |   |   `-- Installing qt4-script-4.8.7...
[head-amd64-default-job-10] |   |   |   `-- Extracting qt4-script-4.8.7: 
.......... done
[head-amd64-default-job-10] |   |   |   `-- Installing qt4-svg-4.8.7...
[head-amd64-default-job-10] |   |   |   `-- Extracting qt4-svg-4.8.7: 
.......... done
[head-amd64-default-job-10] |   |   |   `-- Installing qt4-opengl-4.8.7...
[head-amd64-default-job-10] |   |   |   `-- Extracting qt4-opengl-4.8.7: 
.......... done
[head-amd64-default-job-10] |   |   |   `-- Installing qt4-xmlpatterns-4.8.7...
[head-amd64-default-job-10] |   |   |   `-- Extracting qt4-xmlpatterns-4.8.7: 
.......... done
[head-amd64-default-job-10] |   |   | `-- Extracting qt4-declarative-4.8.7: 
.......... done
[head-amd64-default-job-10] |   |   `-- Extracting qt4-webkit-4.8.7: .......... 
done
[head-amd64-default-job-10] |   | `-- Extracting qt4-assistant-4.8.7: ...... 
done
[head-amd64-default-job-10] |   | `-- Installing qt4-qt3support-4.8.7...
[head-amd64-default-job-10] |   | `-- Extracting qt4-qt3support-4.8.7: 
.......... done
[head-amd64-default-job-10] |   `-- Extracting qt4-designer-4.8.7: .......... 
done
[head-amd64-default-job-10] `-- Extracting qscintilla2-2.9.1,1: .......... done
[head-amd64-default-job-10] `-- Installing qhull5-1.0_3...
[head-amd64-default-job-10] `-- Extracting qhull5-1.0_3: .......... done
[head-amd64-default-job-10] `-- Installing suitesparse-4.0.2_4...
[head-amd64-default-job-10] `-- Extracting suitesparse-4.0.2_4: .......... done
[head-amd64-default-job-10] `-- Installing texinfo-6.0.20151108...
[head-amd64-default-job-10] `-- Extracting texinfo-6.0.20151108: .......... done
[head-amd64-default-job-10] `-- Installing fltk-1.3.3_2...
[head-amd64-default-job-10] `-- Extracting fltk-1.3.3_2: .......... done
[head-amd64-default-job-10] Extracting octave-4.0.0: .......... done
Message from gcc-4.8.5_2:
To ensure binaries built with this toolchain find appropriate versions
of the necessary run-time libraries, you may want to link using

  -Wl,-rpath=/usr/local/lib/gcc48

For ports leveraging USE_GCC, USES=compiler, or USES=fortran this happens
transparently.
Message from ca_root_nss-3.21:
********************************* WARNING *********************************

FreeBSD does not, and can not warrant that the certification authorities
whose certificates are included in this package have in any way been
audited for trustworthiness or RFC 3647 compliance.

Assessment and verification of trust is the complete responsibility of the
system administrator.

*********************************** NOTE **********************************

This package installs symlinks to support root certificates discovery by
default for software that uses OpenSSL.

This enables SSL Certificate Verification by client software without manual
intervention.

If you prefer to do this manually, replace the following symlinks with
either an empty file or your site-local certificate bundle.

  * /etc/ssl/cert.pem
  * /usr/local/etc/ssl/cert.pem
  * /usr/local/openssl/cert.pem

***************************************************************************
Message from python27-2.7.11_1:
===========================================================================

Note that some standard Python modules are provided as separate ports
as they require additional dependencies. They are available as:

bsddb           databases/py-bsddb
gdbm            databases/py-gdbm
sqlite3         databases/py-sqlite3
tkinter         x11-toolkits/py-tkinter

===========================================================================
Message from perl5-5.20.3_8:
The /usr/bin/perl symlink has been removed starting with Perl 5.20.
For shebangs, you should either use:

#!/usr/local/bin/perl

or

#!/usr/bin/env perl

The first one will only work if you have a /usr/local/bin/perl,
the second will work as long as perl is in PATH.
Message from dejavu-2.35:
Make sure that the freetype module is loaded.  If it is not, add the following
line to the "Modules" section of your X Windows configuration file:

        Load "freetype"

Add the following line to the "Files" section of X Windows configuration file:

        FontPath "/usr/local/share/fonts/dejavu/"

Note: your X Windows configuration file is typically /etc/X11/XF86Config
if you are using XFree86, and /etc/X11/xorg.conf if you are using X.Org.
Message from trousers-tddl-0.3.10_7:
To run tcsd automatically, add the following line to /etc/rc.conf

tcsd_enable="YES"

You might want to edit /usr/local/etc/tcsd.conf to reflect your setup.

To use TPM, add your_account to '_tss' group like following:

# pw groupadd _tss -m your_account
Message from openjdk8-8.66.17_3:
======================================================================

This OpenJDK implementation requires fdescfs(5) mounted on /dev/fd and
procfs(5) mounted on /proc.

If you have not done it yet, please do the following:

        mount -t fdescfs fdesc /dev/fd
        mount -t procfs proc /proc

To make it permanent, you need the following lines in /etc/fstab:

        fdesc   /dev/fd         fdescfs         rw      0       0
        proc    /proc           procfs          rw      0       0

======================================================================
Message from qt4-corelib-4.8.7_1:
======================================================================

Qt 4 can be built with optional support for:
 - Common UNIX Printing System (CUPS) (enabled by default)
 - Network Audio System (NAS)
 - Qt style that renders using GTK (QGTKSTYLE)

In order to enable them, you have to add
        QT4_OPTIONS=    CUPS NAS QGTKSTYLE
to your /etc/make.conf and compile devel/qt4-corelib and
x11-toolkits/qt4-gui ports.

Attention! Whenever you change the QT4_OPTIONS both
devel/qt4-corelib and x11-toolkits/qt4-gui ports must be rebuilt!

======================================================================
Message from qt4-sql-4.8.7:
======================================================================

To enable Qt database support, install the database plugin ports. The
following plugin ports are available:
 - databases/qt4-ibase-plugin           InterBase/Firebird
 - databases/qt4-mysql-plugin           MySQL
 - databases/qt4-odbc-plugin            Open Database Connectivity
 - databases/qt4-pgsql-plugin           PostgreSQL
 - databases/qt4-sqlite-plugin          SQLite 2
 - databases/qt4-sqlite3-plugin         SQLite 3

======================================================================
===>   octave-forge-interval-1.2.0 depends on executable: octave - found
===>   Returning to build of octave-forge-interval-1.2.0
===>   octave-forge-interval-1.2.0 depends on executable: gfortran48 - found
===>   octave-forge-interval-1.2.0 depends on executable: gmake - not found
===>   Installing existing package /packages/All/gmake-4.1_2.txz
[head-amd64-default-job-10] Installing gmake-4.1_2...
[head-amd64-default-job-10] Extracting gmake-4.1_2: .......... done
===>   octave-forge-interval-1.2.0 depends on executable: gmake - found
===>   Returning to build of octave-forge-interval-1.2.0
===>   octave-forge-interval-1.2.0 depends on file: /usr/local/bin/as - found
===========================================================================
=======================<phase: lib-depends    >============================
===>   octave-forge-interval-1.2.0 depends on shared library: libmpfr.so - 
found (/usr/local/lib/libmpfr.so)
===>   octave-forge-interval-1.2.0 depends on shared library: libpcre.so - 
found (/usr/local/lib/libpcre.so)
===========================================================================
=======================<phase: configure      >============================
===>  Configuring for octave-forge-interval-1.2.0
===========================================================================
=======================<phase: build          >============================
===>  Building for octave-forge-interval-1.2.0
gmake[1]: Entering directory 
'/wrkdirs/usr/ports/math/octave-forge-interval/work/interval-1.2.0/src'
/usr/local/bin/mkoctfile  -o mpfr_function_d.oct -lmpfr  mpfr_function_d.cc
/usr/local/bin/mkoctfile  -o mpfr_linspace_d.oct -lmpfr  mpfr_linspace_d.cc
/usr/local/bin/mkoctfile  -o mpfr_matrix_mul_d.oct -lmpfr -fopenmp 
mpfr_matrix_mul_d.cc
In file included from mpfr_matrix_mul_d.cc:19:
/usr/local/include/octave-4.0.0/octave/../octave/oct-openmp.h:28:10: fatal 
error: 'omp.h' file not found
#include <omp.h>
         ^
1 error generated.
Makefile:34: recipe for target 'mpfr_matrix_mul_d.oct' failed
gmake[1]: *** [mpfr_matrix_mul_d.oct] Error 1
gmake[1]: Leaving directory 
'/wrkdirs/usr/ports/math/octave-forge-interval/work/interval-1.2.0/src'
*** Error code 1

Stop.
make: stopped in /usr/ports/math/octave-forge-interval
_______________________________________________
freebsd-pkg-fallout@freebsd.org mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-pkg-fallout
To unsubscribe, send any mail to "freebsd-pkg-fallout-unsubscr...@freebsd.org"

Reply via email to